aboutsummaryrefslogtreecommitdiff
path: root/etc/sh/cronjob.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2022-08-12 23:45:58 -0300
committerEuAndreh <eu@euandre.org>2022-08-12 23:46:24 -0300
commita79c3d3c803bc2df2b3d31a02f25710810317ecc (patch)
tree79a8b45c8de2a6bd8961c4bae13d7c5bc9ac83ea /etc/sh/cronjob.sh
parentbin/{with-,}email: Add "Examples" section to help string (diff)
downloaddotfiles-a79c3d3c803bc2df2b3d31a02f25710810317ecc.tar.gz
dotfiles-a79c3d3c803bc2df2b3d31a02f25710810317ecc.tar.xz
etc/guix/home.scm: Setup working cronjobs
Diffstat (limited to 'etc/sh/cronjob.sh')
-rwxr-xr-xetc/sh/cronjob.sh70
1 files changed, 70 insertions, 0 deletions
diff --git a/etc/sh/cronjob.sh b/etc/sh/cronjob.sh
new file mode 100755
index 0000000..950430f
--- /dev/null
+++ b/etc/sh/cronjob.sh
@@ -0,0 +1,70 @@
+#!/bin/sh
+set -eu
+
+usage() {
+ cat <<-'EOF'
+ Usage:
+ cronjob COMMAND...
+ cronjob -h
+ EOF
+}
+
+help() {
+ cat <<-'EOF'
+
+ Options:
+ -h, --help show this message
+
+ COMMAND the command to be executed
+
+
+ Execute the given command, and send the output to email, with
+ special treatment to the status code.
+
+ It loads the appropriate files, so that the actual cron
+ declaration is smaller.
+
+
+ Examples:
+
+ Run a backup:
+
+ $ cronjob backup cron
+ EOF
+}
+
+
+for flag in "$@"; do
+ case "$flag" in
+ --)
+ break
+ ;;
+ --help)
+ usage
+ help
+ exit
+ ;;
+ *)
+ ;;
+ esac
+done
+
+while getopts 'h' flag; do
+ case "$flag" in
+ h)
+ usage
+ help
+ exit
+ ;;
+ *)
+ usage >&2
+ exit 2
+ ;;
+ esac
+done
+shift $((OPTIND - 1))
+
+
+. ~/.usr/etc/sh/rc
+CMD="$@"
+with-email -s "$CMD" -- "$@" 1>>"$XDG_LOG_HOME"/euandreh/mcron.log 2>&1